Friday, May 19, 2006

Installing Oracle 10g AS w/ Forms on SuSE 9

Wow, this has been a challenge. I'll try to put up a few useful URLs and then add comments later. I wish I had taken closer notes along the way.

Be sure to install Motif (32 Bit). And get this... the SuSE ES9 will likely have a newer version of Motif than Forms Server will accept, so you will need to be sure to install the correct version. If you just want to get it to install, but don't want to compile forms, you can get it to work with a link, but then frmcmp.sh won't work:
ln -s libXm.so.3 libXm.so.2
So, you should just do the download (I think this is the link, though I'm not even sure anymore):
http://support.novell.com/techcenter/psdb/388a4c0511756c9a8aff38e2c5170509.html

If you forget to do this, you will get an error like this:
01/05/21 09:42:44 Internal server error
java.lang.UnsatisfiedLinkError: /lib/librwu.so: libXm.so
.2: cannot open shared object file: No such file or directory


Set up Enviroment: Run OraRun by Novell
http://ftp.novell.com/partners/oracle/sles-9/

Install GCC 32 Bit, DB1 32 Bit

Error:
checking for hardnofiles = 65536 found hardnofiles = 1024 Failed
checking for softnofiles = 4096; softnofiles = 1024
Solution: Set Up Security Parameters (I should boil this down, but the URL below gets you there, ):
http://asktom.oracle.com/pls/ask/f?p=4950:8:::NO::F4950_P8_DISPLAYID,F4950_P8_CRITERIA:454420165038

Error in WebCache Configuration Assistant: error while loading shared libraries: libdb
See http://nextre.it/oracledocs/gridcontrolonsles9.html (basically install db1 32 bit)

Also check this URL:
http://ivan.kartik.sk/oracle/install_ids10_suse.html

No comments: